Bug 122830 - Config tool fail to handle changing to new graphics card
Config tool fail to handle changing to new graphics card
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 16:05 EDT by Jon Burgess
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 10:36:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2004-05-08 16:05:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I first found a problem when I switched a hard disk containing an
FC2T3 install between two machines. Kudzu sorted out most the
differences between the machines, but X would not work and
system-config-display could not fix the config file, even though it
correctly detected the different graphics card.

I strongly suspect the same problem will occur when a user swaps
graphics card in a machine.

I have a simple way to reproduce as below...

Version-Release number of selected component (if applicable):
system-config-display-1.0.13-3

How reproducible:
Always

Steps to Reproduce:
1. Get a machine with a working X system running
2. Shutdown X with "init 4"
3. Edit /etc/X11/xorg.conf, changing the "Driver" line to use a
different chipset, e.g. swap ati for i810 etc.
4. Confirm that X does not start, which is expected
5. Try running "system-config-display". 
    

Actual Results:  system-config-display detects the correct chipset to
use but ends up reporting an error that X could not start.
Looking at the /var/log/xorg.setup.log & the corresponding
/tmp/tmp...xorg.config file shows that system-config-display still
tried to use the old chipset.

Expected Results:  I expect system-config-display should be able to
re-write the xorg.conf file to fix this problem.

Additional info:
Comment 1 Brent Fox 2004-05-17 14:33:46 EDT
Does /etc/X11/XF86Config still exist on your system?  
Comment 2 Jon Burgess 2004-05-17 14:55:46 EDT
Yes it did, so I just removed it and tried again but the problem still
exists.

I went to run level 3, editted /etc/X11/xorg.conf and changed the
driver from correct one "glint" to "ati" and then ran
system-config-display and it still failed:

[root@localhost X11]# system-config-display
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Trying with card: 3Dlabs Permedia2 (generic)
Error, cannot start X server.
[root@localhost X11]# 

If I delete the xorg.conf file containing the bogus driver info then
it works OK.
Comment 3 Paul Nasrat 2004-08-12 06:20:53 EDT
Please retest this appears to be fixed for me using Fedora Core 3 test
1 system-config-display 1.0.17-1

Steps to reproduce:

Shutdown X
Change driver from ati to glint
system-config-display

It tries with config and then automatically tries using a fresh
configuration which works.

Note You need to log in before you can comment on or make changes to this bug.